try {
	let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
	n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "df1c62de-e165-4c76-aefc-176788c66594", e._sentryDebugIdIdentifier = "sentry-dbid-df1c62de-e165-4c76-aefc-176788c66594");
} catch (e) {}
import { l as keysOf } from "./AnalyticsContext-C0HNdPss.js";
//#region src/utils/isEmpty.ts
var isEmpty = (obj, ignoreEmptyProperties = true) => {
	if (obj === null || obj === void 0) return true;
	if (Array.isArray(obj)) return obj.length === 0;
	if (typeof obj !== "object") return false;
	return keysOf(obj).every((key) => !Object.hasOwn(obj, key) || ignoreEmptyProperties && isEmpty(obj[key], true));
};
//#endregion
export { isEmpty as t };
